List dispute evidence
Returns a dispute's public evidence by its ID.
Read our disputes guide to learn more.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/transfers.read scope.
GET
/accounts/{accountID}/disputes/{disputeID}/evidence
curl -X GET "https://api.moov.io/accounts/{accountID}/disputes/{disputeID}/evidence" \
-H "Authorization: Bearer {token}" \
-H "x-moov-version: v2024.01.00" \
mc, _ := moov.NewClient()
var accountID string
var disputeID string
mc.ListDisputeEvidence(ctx, accountID, disputeID)
import { SDK } from "openapi";
const sdk = new SDK({
xMoovVersion: "v2024.01.00",
});
async function run() {
const result = await sdk.disputes.listEvidence({
accountID: "efc12040-97af-4720-91c5-14cd1a83877b",
disputeID: "f1c23432-4110-4981-9b72-b98df94bb61c",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use OpenAPI\OpenAPI;
$sdk = OpenAPI\SDK::builder()
->setXMoovVersion('v2024.01.00')
->build();
$response = $sdk->disputes->listEvidence(
accountID: 'efc12040-97af-4720-91c5-14cd1a83877b',
disputeID: 'f1c23432-4110-4981-9b72-b98df94bb61c'
);
if ($response->disputeEvidenceResponses !== null) {
// handle response
}from openapi import SDK
with SDK(
x_moov_version="v2024.01.00",
) as sdk:
res = sdk.disputes.list_evidence(account_id="efc12040-97af-4720-91c5-14cd1a83877b", dispute_id="f1c23432-4110-4981-9b72-b98df94bb61c")
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.SDK;
import org.openapis.openapi.models.operations.ListDisputeEvidenceResponse;
public class Application {
public static void main(String[] args) throws Exception {
SDK sdk = SDK.builder()
.xMoovVersion("v2024.01.00")
.build();
ListDisputeEvidenceResponse res = sdk.disputes().listEvidence()
.accountID("efc12040-97af-4720-91c5-14cd1a83877b")
.disputeID("f1c23432-4110-4981-9b72-b98df94bb61c")
.call();
if (res.disputeEvidenceResponses().isPresent()) {
// handle response
}
}
}require 'openapi'
Models = ::OpenApiSDK::Models
s = ::OpenApiSDK::SDK.new(
x_moov_version: 'v2024.01.00',
)
res = s.disputes.list_evidence(account_id: 'efc12040-97af-4720-91c5-14cd1a83877b', dispute_id: 'f1c23432-4110-4981-9b72-b98df94bb61c')
unless res.dispute_evidence_responses.nil?
# handle response
endThe request completed successfully.
[
{
"evidenceID": "string",
"disputeID": "string",
"evidenceType": "receipt",
"text": "string",
"mimeType": "string",
"filename": "string",
"size": 0,
"createdOn": "2019-08-24T14:15:22Z",
"updatedOn": "2019-08-24T14:15:22Z",
"submittedOn": "2019-08-24T14:15:22Z"
}
]Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
disputeID
string
required
Response
createdOn
string<date-time>
disputeID
string
evidenceID
string
evidenceType
string<enum>
Possible values:
receipt,
proof-of-delivery,
cancelation-policy,
terms-of-service,
customer-communication,
generic-evidence,
cover-letter,
other
filename
string
For file evidence, the name of the file.
mimeType
string
For file evidence, the MIME type of the file.
size
integer<int64>
For file evidence, the size of the file.
submittedOn
string<date-time>
When the evidence was submitted for review.
text
string
For text evidence, the text submitted as evidence.
updatedOn
string<date-time>